# zabbix_mit_docker-compose

Vorlage um Zabbix innerhalb Docker zu betreiben. Unser Beispiel-Host hat die IP ```192.168.44.10```

### 1. Login auf dem Dockerhost per SSH

### 2. Das Git-Repository klonen:
```
 git clone http://dg4mlk.as64647.de.ampr.org:3000/dg4mlk/zabbix_mit_docker-compose.git
 cd zabbix_mit_docker-compose
```
### 3. Die Datei .env umbenennen:
```
 mv env.template .env
```
* Optional: Die Passwörter in .env anpassen (wird für eine Demoumgebung nicht zwingend benötigt)
* Für eine produktive Installation MÜSSEN die  Werte in .env korrekt eingestellt sein!
* Eine sichere Installation von Zabbix ist nicht das Ziel dieser Anleitung!

### 4. Zabbix starten:
```
 docker compose up -d
```
* Für diesen Schritt benötigt der Docker-Host eine Internetverbindung.
* Der erste Start benötigt etwas mehr Zeit

### 5. Mit dem Browser die Login-Seite aufrufen:

```http://192.168.44.10:8085/```

Login mit User ```Admin``` und Passwort ```zabbix```

## Achtung:
Das Einrichten der Datenbank dauert etwas, daher kann beim Aufrufen der Loginseite eine Fehlermeldung erscheinen! Daher einfach etwas warten und noch einnmal versuchen...
